Skip to content

LoanTypeIdRange⁠

Perform various operations for Symitar parameters.

Operations⁠

getLoanTypeIdRangeSelectFields⁠

POST

Execute the persistent ParameterService getLoanTypeIdRangeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanTypeIdRangeIdRangeintegeroptional
LoanTypeIdRangeLoanTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanTypeIdRangeSelectFields
POST /nexum/627/persistent/parameter/getLoanTypeIdRangeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanTypeIdRangeIdRange": 0,
  "LoanTypeIdRangeLoanType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllLoanTypeIdRangeFields": true,
    "LoanTypeIdRangeFields": {
      "IdRange": true,
      "IdRangeHigh": true,
      "IdRangeLow": true,
      "LoanType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanTypeIdRangePagedListSelectFields⁠

POST

Execute the persistent ParameterService getLoanTypeIdRangePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanTypeIdRangePagedListSelectFields
POST /nexum/627/persistent/parameter/getLoanTypeIdRangePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanTypeIdRangeFields": true,
    "LoanTypeIdRangeFields": {
      "IdRange": true,
      "IdRangeHigh": true,
      "IdRangeLow": true,
      "LoanType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchLoanTypeIdRangePagedSelectFields⁠

POST

Execute the persistent ParameterService searchLoanTypeIdRangePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchLoanTypeIdRangePagedSelectFields
POST /nexum/627/persistent/parameter/searchLoanTypeIdRangePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanTypeIdRangeFields": true,
    "LoanTypeIdRangeFields": {
      "IdRange": true,
      "IdRangeHigh": true,
      "IdRangeLow": true,
      "LoanType": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateLoanTypeIdRangeByID⁠

POST

Execute the persistent ParameterService updateLoanTypeIdRangeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanTypeIdRangeIdRangeintegeroptional
LoanTypeIdRangeLoanTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateLoanTypeIdRangeByID
POST /nexum/627/persistent/parameter/updateLoanTypeIdRangeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanTypeIdRangeIdRange": 0,
  "LoanTypeIdRangeLoanType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "LoanTypeIdRangeFields": {
    "IdRange": 0,
    "IdRangeHigh": 0,
    "IdRangeLow": 0,
    "LoanType": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}